//-----------------------------------------------------------------------------
// File: Example.cpp
//
// Copyright (c) Astralax. All rights reserved.
// Author: Sedov Alexey
//-----------------------------------------------------------------------------

#include "../Tools/GUI/StdAfx.h"

#include "GameExampleDX9.h"

#ifdef _DEBUG
bool fullscreen_mode=false;
#else
bool fullscreen_mode=true;
#endif

int APIENTRY _tWinMain(HINSTANCE hInstance,
					   HINSTANCE hPrevInstance,
					   LPTSTR    lpCmdLine,
					   int       nCmdShow)
{
	GUID_GAME g;
	g.guid1=0x8469ade3;
	g.guid2=0xf60045aa;
	g.guid3=0xef66717f;
	g.guid4=0xbdd00c56;

	CMagicString title="GameExample";
	CMagicString version="1.0";

	GGameExampleDX9* game=new GGameExampleDX9(g, title, version, fullscreen_mode);
	game->args.FromString(lpCmdLine); //    

	CMagicString path_news;
	Localizer* param_news=NULL;
	if (game->CreateGame(&hInstance))
	{
		game->Play();
	}

	delete game;
	game=NULL;

	return 0;
}
