//-----------------------------------------------------------------------------
// File: GameExampleDX9.cpp
//
// Copyright (c) Astralax. All rights reserved.
// Author: Sedov Alexey
//-----------------------------------------------------------------------------

#include "GameExampleDX9.h"

#include "DeviceWindowsExampleDX9.h"

GGameExampleDX9::GGameExampleDX9(GUID_GAME guid, const char* name, const char* version, bool fullscreen_mode) : GGameExample(guid, name, version, fullscreen_mode)
{
}

GGameExampleDX9::~GGameExampleDX9(void)
{
}

//   
GDevice* GGameExampleDX9::NewDevice(void* init)
{
	return new GDeviceWindowsExampleDX9(fullscreen_mode, init);
}
