#pragma once
#include "..\Sound.h"

#include "bass.h"

class GSoundChannelBass : public GSoundChannel
{
protected:
	HCHANNEL bass_channel;
public:
	GSoundChannelBass(HCHANNEL channel, bool loop, int volume);

	virtual void Stop();

	virtual void SetVolume(float volume);
	virtual void SetVolume(int volume);

	virtual void SetMaxPriority();

	virtual int GetState();

	virtual int GetPosition();
};

class GSoundSampleBass : public GSoundSample
{
protected:
	HSAMPLE bass_sample;
public:
	virtual bool LoadFromMemory(FILE_DATA& fd);
	virtual void Unload();

	virtual GSoundChannel* Play(bool loop, int volume);
};

class GSoundBass :
	public GSound
{
public:
	GSoundBass(void);
	virtual ~GSoundBass(void);

	virtual GSoundSample* NewSample();

	//       0  1     
	virtual int CalcVolume(float volume);
};
