#pragma once
#include "..\Sound.h"
#include "squall.h"

class GSoundChannelSquall : public GSoundChannel
{
protected:
	int squall_channel;
public:
	GSoundChannelSquall(int channel){squall_channel=channel;}

	virtual void Stop();

	virtual void SetVolume(float volume);
	virtual void SetVolume(int volume);

	virtual void SetMaxPriority();

	virtual int GetState();

	virtual int GetPosition();
};

class GSoundSampleSquall : public GSoundSample
{
protected:
	int squall_sample;
public:
	virtual bool LoadFromMemory(FILE_DATA& fd);
	virtual void Unload();

	virtual GSoundChannel* Play(bool loop, int volume);
};

class GSoundSquall :
	public GSound
{
public:
	GSoundSquall(void);
	virtual ~GSoundSquall(void);

	virtual GSoundSample* NewSample();

	//       0  1     
	virtual int CalcVolume(float volume);
};
